;(function ($) {

    $(document).ready(function(){

        if ( $('.cbfc-circular-countdown').length ) {
            $('.cbfc-circular-countdown').each( function(index) {
                var $this = $( this );
                var modid = $this.data('module-id');
                //cbxcountdown_box_size($this, 'sud');
                var cbfcDate = $this.data('date').split('/'),
                    cbfcHour = $this.data('hour'),
                    cbfcMinute = $this.data('min'),
                    cbfcSecBorderClr = $this.data('sec-border-clr'),
                    cbfcMinBorderClr = $this.data('min-border-clr'),
                    cbfcHourBorderClr = $this.data('hour-border-clr'),
                    cbfcDaysBorderClr = $this.data('days-border-clr');


                // Place your public-facing JavaScript here
                $( '#' + $this.attr( 'id' ) ).final_countdown({
                    now: Date.now()/1000,
                    end: new Date(cbfcDate[2], cbfcDate[0]-1, cbfcDate[1], cbfcHour, cbfcMinute, 0).getTime()/1000,
                    selectors: {
                        value_seconds: '.cbfc-circular-clock-seconds .cbfc-circular-val',
                        canvas_seconds: 'cbfc-circular-canvas-seconds' + modid,
                        value_minutes: '.cbfc-circular-clock-minutes .cbfc-circular-val',
                        canvas_minutes: 'cbfc-circular-canvas-minutes' + modid,
                        value_hours: '.cbfc-circular-clock-hours .cbfc-circular-val',
                        canvas_hours: 'cbfc-circular-canvas-hours' + modid,
                        value_days: '.cbfc-circular-clock-days .cbfc-circular-val',
                        canvas_days: 'cbfc-circular-canvas-days' + modid
                    },
                    seconds: {
                        borderColor: cbfcSecBorderClr,
                        borderWidth: '6'
                    },
                    minutes: {
                        borderColor: cbfcMinBorderClr,
                        borderWidth: '6'
                    },
                    hours: {
                        borderColor: cbfcHourBorderClr,
                        borderWidth: '6'
                    },
                    days: {
                        borderColor: cbfcDaysBorderClr,
                        borderWidth: '6'
                    }
                });
            } );
        }
    });
})(jQuery)