<?php
/* ------------------------------------------------------------------------
# kkcountdown.php - Module - CBX Countdown Module
# ------------------------------------------------------------------------
# author    Joomboxr Team
# copyright Copyright (C) 2015 joomboxr.com. All Rights Reserved.
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: http://joomboxr.com
# Technical Support:  Forum - http://joomboxr.com/product/cbx-countdown-module-joomla/
------------------------------------------------------------------------- */

//security check
defined('_JEXEC') or die;


$doc = JFactory::getDocument();
JHtml::_('jquery.framework');


//KK COUNTDOWN Settings
$cbxkk_font_size                                = htmlspecialchars($params->get('cbxkk_font_size' ,'30'));
$cbxkk_color                                    = htmlspecialchars($params->get('cbxkk_color' , '#3767b9'));
$cbxkk_text_color                               = htmlspecialchars($params->get('cbxkk_text_color' , '#666333'));

//adding translation to javascript
JText::script('MOD_CBXCOUNTDOWN_DAYS_SMALL');
JText::script('MOD_CBXCOUNTDOWN_DAY_SMALL');
JText::script('MOD_CBXCOUNTDOWN_SECOND_SMALL');
JText::script('MOD_CBXCOUNTDOWN_MINUTE_SMALL');
JText::script('MOD_CBXCOUNTDOWN_HOUR_SMALL');




//$doc->addStyleSheet(JURI::root() . 'modules/mod_cbxcountdown/cbxcountdown/css/mod_cbxcountdown.css');

$doc->addScript(JUri::root().'modules/mod_cbxcountdown/cbxcountdown/js/cbx-common-js.js');

$doc->addScript(JUri::root().'modules/mod_cbxcountdown/cbxcountdown/js/kkcountdown.js');
$doc->addScript(JUri::root().'modules/mod_cbxcountdown/cbxcountdown/js/kkcountdown_init.js');

$doc->addStyleDeclaration('

     .cbfc-kkcountdown {
        margin: 30px 0;
        text-align: center;
     }

    .kkcountdown-box span.kkc-days,
    .kkcountdown-box span.kkc-hours,
    .kkcountdown-box span.kkc-min,
    .kkcountdown-box span.kkc-sec
     {
        font-family:"Helvetica Neue", Helvetica, Arial, sans-serif;
        font-weight:400;
     }


    .cbfc-kkcountdown'. $module->id .' .kkcountdown-box {
        font-weight: 300;
        font-size: '. $cbxkk_font_size .'px;
        color: '. $cbxkk_color .';
    }

    .cbfc-kkcountdown'. $module->id .' .kkcountdown-box .kkc-days-text,
    .cbfc-kkcountdown'. $module->id .' .kkcountdown-box .kkc-hours-text,
    .cbfc-kkcountdown'. $module->id .' .kkcountdown-box .kkc-min-text,
    .cbfc-kkcountdown'. $module->id .' .kkcountdown-box .kkc-sec-text {
        color:'. $cbxkk_text_color .';
    }


    @media (max-width: 767px) {

        .cbfc-kkcountdown'. $module->id .' .kkcountdown-box {
            font-size: 43px;
        }

    }

    @media (max-width: 480px) {

        .cbfc-kkcountdown'. $module->id .' .kkcountdown-box {
            font-size: 21px;
        }

    }

');


?>



<?php
$kk_count_down = explode(' ', $cbenddate );
$kk_count_down_date = $kk_count_down[0];
$kk_count_down_time = $kk_count_down[1];
$kk_count_down_date_ = explode('/', $kk_count_down_date );
$kk_count_down_time_ = explode(':', $kk_count_down_time );

?>

<div class="cbfc-kkcountdown cbfc-kkcountdown<?php echo $module->id; ?>" data-time="<?php echo mktime( $kk_count_down_time_[0],  $kk_count_down_time_[1],  $kk_count_down_time_[2], $kk_count_down_date_[0], $kk_count_down_date_[1], $kk_count_down_date_[2] ); ?>"> </div><!-- //End of KKCountdown Div -->

